Bug 225185 - nautilus-2.16.2-7.fc6 mounts ext3 usb flash fs as ext2
nautilus-2.16.2-7.fc6 mounts ext3 usb flash fs as ext2
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-mount (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
:
Depends On:
Blocks: 418441
  Show dependency treegraph
 
Reported: 2007-01-29 12:49 EST by H.J. Lu
Modified: 2013-03-05 22:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:07:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description H.J. Lu 2007-01-29 12:49:30 EST
I have a 2GB usb flash drive:

[root@gnu-2 hjl]# fdisk /dev/sdc

The number of cylinders for this disk is set to 126976.
There is nothing wrong with that, but this is larger than 1024,
and could in certain setups cause problems with:
1) software that runs at boot time (e.g., old versions of LILO)
2) booting and partitioning software from other OSs
   (e.g., DOS FDISK, OS/2 FDISK)

Command (m for help): p

Disk /dev/sdc: 2080 MB, 2080374784 bytes
1 heads, 32 sectors/track, 126976 cylinders
Units = cylinders of 32 * 512 = 16384 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/sdc1               2      126976     2031600    b  W95 FAT32

Command (m for help): 

I did

# mke2fs -j /dev/sdc1

When I clicked its icon in file browser, it was mounted as ext2, kernel
warned:

EXT2-fs warning (device sdc1): ext2_fill_super: mounting ext3 filesystem as ext2
Comment 1 Jane Lv 2008-02-27 04:13:08 EST
I didn't reproduce this bug on fc9-alpha.  The nautilus package is version 
2.21.6-1.fc9.

The system works well with usb flash driver.  Ext3 partition I made was 
mounted as ext3.  Writing and reading are both OK.  No warning message shown 
up.
Comment 2 Bug Zapper 2008-04-04 01:47:02 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 15:07:08 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.